org.apache.solr.util

## Class RandomizeSSL.SSLRandomizer

- java.lang.Object
- - org.apache.solr.util.RandomizeSSL.SSLRandomizer

- Enclosing class:
    RandomizeSSL

      public static final class RandomizeSSL.SSLRandomizer
      extends Object

  A simple data structure for encapsulating the effective values to be used when randomizing SSL in a test, based on the configured values in the `RandomizeSSL` annotation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `clientAuth`
    `String` | `debug`
    `double` | `ssl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLRandomizer(double ssl, double clientAuth, String debug)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSLTestConfig` | `createSSLTestConfig()` Randomly produces an SSLTestConfig taking into account various factors
    `static double` | `getEffectiveOdds(double declaredOdds, boolean nightly, int multiplier)`
    `static RandomizeSSL.SSLRandomizer` | `getSSLRandomizerForClass(Class clazz)` Returns an SSLRandomizer suitable for the specified (test) class

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ssl

          public final double ssl

    - #### clientAuth

          public final double clientAuth

    - #### debug

          public final String debug

  - ### Constructor Detail

    - #### SSLRandomizer

          public SSLRandomizer(double ssl,
                               double clientAuth,
                               String debug)

      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

  - ### Method Detail

    - #### createSSLTestConfig

          public SSLTestConfig createSSLTestConfig()

      Randomly produces an SSLTestConfig taking into account various factors
      See Also:
        `LuceneTestCase.TEST_NIGHTLY`, `LuceneTestCase.RANDOM_MULTIPLIER`, `LuceneTestCase.random()`

    - #### getEffectiveOdds

          public static double getEffectiveOdds(double declaredOdds,
                                                boolean nightly,
                                                int multiplier)

      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.
        Public only for testing

    - #### getSSLRandomizerForClass

          public static final RandomizeSSL.SSLRandomizer getSSLRandomizerForClass(Class clazz)

      Returns an SSLRandomizer suitable for the specified (test) class

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.